<template>
  <div class="k2-customizer-modal overflow-y-auto fixed top-0 left-0 w-full h-full" v-if="show" @click="$api.close">
    <div class="py-12 flex-grow flex items-center justify-center min-h-screen">
      <div class="k2-customizer-modal__wrapper flex-grow bg-gray-300 relative" @click.stop>

        <!-- Loading -->
        <Loading v-if="isLoading" :label="loadingLabel"/>

        <!-- Peripherals (example: for next/prev nav) -->
        <slot name="peripherals" />

        <!--header-->
        <div class="k2-customizer-modal__header flex items-center justify-space-between px-2 min-h-10 bg-white h5">
          <div class="flex-1"></div>
          <div class="flex-1 text-center">
            <slot name="header"></slot>
          </div>
          <div class="flex-1 text-right">
            <a class="cursor-pointer inline-flex justify-end items-center" @click="$api.close">
              <span style="line-height: 1em;">Exit Customizer</span>
              <img class="inline-block ml-1" src="@/assets/bi_x.svg" />
            </a>
          </div>
        </div>

        <!--body-->
        <div class="k2-customizer-modal__body">
          <slot />
        </div>

        <!--footer-->
        <div class="k2-customizer-modal__footer px-8" v-if="$slots.footer">
          <div class="py-8 border-t border-white">
            <slot name="footer"></slot>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script src="./modal.js" />
<style src="./modal.css" />